﻿// ==========================================================================
// CustomConnectionEditor.cs
// Silverlight Shapes Library
// ==========================================================================
// Copyright (c) Silverlight Shapes Development Group
// All rights reserved.
// =========================================================================

using System.Windows;
using System.Windows.Controls;

namespace SD.Shapes.Samples.CustomConnection
{
    /// <summary>
    /// This is a custom dialog, that changes some properties of a connection by 
    /// just using binding the the properties of this connection.
    /// </summary>
    public partial class MyConnectionEditor : ChildWindow
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="MyConnectionEditor"/> class.
        /// </summary>
        public MyConnectionEditor()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Handles the Click event of the OKButton control.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.Windows.RoutedEventArgs"/> instance containing the event data.</param>
        private void OKButton_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = true;
        }
    }
}

