﻿// ==========================================================================
// SourceFile.cs
// Silverlight Shapes Library
// ==========================================================================
// Copyright (c) Silverlight Shapes Development Group
// All rights reserved.
// ==========================================================================

namespace SD.Samples.Configuration
{
    /// <summary>
    /// Defines the configuration of one source file of the application.
    /// </summary>
    public sealed class SourceFile
    {
        /// <summary>
        /// Gets or sets the name of the source file.
        /// </summary>
        /// <value>The name of the source file.</value>
        public string FileName { get; set; }
    }
}
